Name: ksirk
Summary: Computerized version of a well known strategy board game
Group: Graphical desktop/KDE4
URL: http://www.kde.org/applications/games/ksirk/
Version: 15.04.3
Release: %mkrel 1
License: GPLv2 and LGPLv2 and GFDL
Source: ftp://ftp.kde.org/pub/kde/unstable/%version/src/%name-%version.tar.xz
BuildRequires: kdegames-devel 
Suggests: ksirk-handbook
Conflicts: kde-games-devel < 4.9.80
Conflicts: kde-games-core < 4.9.80
Obsoletes: kde-games-core < 4.9.80
Obsoletes: kde-games-%{name} <= 4.9.5
Conflicts: kde-games-%{name} <= 4.9.5

%description -n ksirk
KsirK is a computerized version of the well known strategic board game Risk. 
The goal of the game is simply to conquer the world by attacking your neighbors
with your armies.
Features :
- Support for 1-6 human or computer (AI) players
- Multi-player gaming over a network
- You can easily create new skins with SVG graphics and the skin editor
- Hot New Stuff support. You can easily download and install new skins

%files
%_kde_bindir/ksirk*
%_kde_applicationsdir/ksirk*.desktop
%_kde_datadir/config.kcfg/ksirk*settings.kcfg
%_kde_datadir/config/ksirk.knsrc
%_kde_appsdir/ksirk*
%_kde_iconsdir/*/*/apps/ksirk.png

#------------------------------------------------------------------------------

%package -n ksirk-handbook
Summary: Ksirk handbook
Conflicts: ksirk < 4.7.1-2
Requires:  ksirk
BuildArch: noarch
Group: Documentation

%description -n ksirk-handbook
This package provides the ksirk handbook.

%files -n ksirk-handbook
%_kde_docdir/HTML/en/ksirk
%_kde_docdir/HTML/en/ksirkskineditor

#------------------------------------------------------------------------------

%define libiris_ksirk_major 2
%define libiris_ksirk %mklibname iris_ksirk %{libiris_ksirk_major}

%package -n %libiris_ksirk
Summary: Runtime library for ksirk
Group: System/Libraries

%description -n %libiris_ksirk
Runtime library for ksirk

%files -n %libiris_ksirk
%_kde_libdir/libiris_ksirk.so.%{libiris_ksirk_major}*

#------------------------------------------------------------------------------

%define ksirc_devel %mklibname ksirk -d

%package -n %ksirc_devel
Summary: Devel files for ksirk
Group: Development/Libraries
Conflicts: kde-games-devel < 4.9.80

%description -n %ksirc_devel
This package provides the devel files for ksirk.

%files -n %ksirc_devel
%_kde_libdir/libiris_ksirk.so

#------------------------------------------------------------------------------

%prep
%setup -q

%build
%cmake_kde4
%make

%install
rm -fr %buildroot
%makeinstall_std -C build

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-MoreApplications-Games-Strategy" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications/kde4 $RPM_BUILD_ROOT%{_datadir}/applications/kde4/ksirk.desktop

%changelog
* Wed Jul 22 2015 pp <pp> 15.04.3-1pclos2015
- update

* Sat Apr 18 2015 pinoc <vogtpet at gmail.com> 15.04.0-1pclos2015
- 15.04.0

* Mon Mar 09 2015 bb <bb> 14.12.3-1pclos2015
- update

* Thu Nov 13 2014 pinoc <vogtpet at gmail.com> 4.14.3-1pclos2014
- 4.14.3

* Tue Jul 15 2014 pinoc <vogtpet at gmail.com> 4.13.3-1pclos2014
- 4.13.3
